﻿// Copyright (C) Microsoft Corporation. All Rights Reserved.
// This code released under the terms of the Microsoft Public License
// (Ms-PL, http://opensource.org/licenses/ms-pl.html).

using System.Collections.Generic;
using Microsoft.Phone.Controls;

namespace LayoutTransformerOnWindowsPhone
{
    public partial class MainPage : PhoneApplicationPage
    {
        public MainPage()
        {
            InitializeComponent();
        }
    }

    public class Book
    {
        public string Title { get; set; }
        public string Author { get; set; }
        public string ISBN { get; set; }
    }

    public class Books : List<Book>
    {
        public Books()
        {
            Add(new Book { Title = "Code Complete", Author = "Steve McConnell", ISBN = "0735619670" });
            Add(new Book { Title = "Programming Pearls", Author = "Jon Bentley", ISBN = "0201657880" });
            Add(new Book { Title = "The Mythical Man Month", Author = "Frederick Brooks", ISBN = "0201835959" });
            Add(new Book { Title = "Writing Secure Code", Author = "Howard/LeBlanc", ISBN = "0735617228" });
            Add(new Book { Title = "Writing Solid Code", Author = "Steve Maguire", ISBN = "1556155514" });
            Add(new Book { Title = "Zen of Code Optimization", Author = "Michael Abrash", ISBN = "1883577039" });
        }
    }
}
